//
//  ViewController.swift
//  CrossView
//
//  Created by Socratis Tornaritis on 6/23/15.
//  Copyright (c) 2015 Socratis Tornaritis. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
   @IBOutlet weak var myLabel: UILabel!
   @IBOutlet weak var myButton: UIButton!
   @IBOutlet weak var viewB: UIView!
   @IBOutlet weak var centerConstraint: NSLayoutConstraint!

   override func viewDidLoad() {
      super.viewDidLoad()
      // Do any additional setup after loading the view, typically from a nib.
      
      viewB.removeConstraint(centerConstraint)
      
      self.view.addConstraint(NSLayoutConstraint(
         item: myLabel,
         attribute: .CenterX,
         relatedBy: .Equal,
         toItem: myButton,
         attribute: .CenterX,
         multiplier: 1.0,
         constant: 0)
      )
   }

   override func didReceiveMemoryWarning() {
      super.didReceiveMemoryWarning()
      // Dispose of any resources that can be recreated.
   }


}

